<!DOCTYPE html> 

<html lang="pt-br">

	<head>
	
		<meta charset="utf-8">
	
		<title>JavaScript</title>

	</head>

	<body>
	
<!-- EX2 - Segundo uma tabela médica, 
o peso ideal está relacionado com a altura e o sexo. 
Criar um programa que receba a altura e o sexo de uma pessoa, 
calcule e imprima o seu peso ideal, utilizando as seguintes fórmulas: 

Para homens: (72.7*ALTURA)-58 
Para mulheres: (62.1*ALTURA)-44.7. --> 
	
	

	<script>
	
	function calcular(){
	
		debugger ;
	
		var inputSexo = document.getElementById('sexo');
		var sexo = inputSexo.value ; 
	
		var inputAltura = document.getElementById('txtAltura') ; 
		var altura = parseFloat(inputAltura.value) ; 
	
		var resultado  = document.getElementById('resultado') ;
	
		var imc ; 
		
		if(!isNaN(altura)){
	
			switch(sexo){
				case 'M' : imc = calcularMasculino(altura) ; break ; 
				case 'F' : imc = calcularFeminino(altura) ; break ;
			}
		
			if( imc !== undefined  ){
				resultado.innerHTML = 'O IMC para o Sexo selecionado é ' + imc ; 
			}
	
		}else{ 
			resultado.innerHTML = 'Erro no calculo ...' ; 
		}
	
	
	

	}

	function calcularMasculino(altura){
	
		return  (72.7*altura)-58  ; 
	}

	function calcularFeminino(altura){
		return (62.1*altura)-44.7 ; 
	}	
		
		



	</script>
	
	
	<a> CALCULANDO O IMC</a><br/><br/>
	
	<label for="sexo">Sexo</label>
	
	<select name="sexo" id="sexo">
	<option value="" selected>Qual o sexo</option>
	<option value="M">Masculino</option> 
	<option value="F">Feminino</option>
	</select> <br/><br/>

	<label for="altura">Altura</label>

	<input style="width : 70px;" type="text" id="txtAltura" /> <br/><br/>

	<input type="button" value="Calcular IMC" onclick="calcular();"/>
	
	<p id="resultado"></p>
	

	
	</body>

</html>